%define	name	pam_mount
%define	version	0.17
%define subrel	1
%define	release	%mkrel 1
#arg, still no libtool-1.5
#%define	__libtoolize	/bin/true
#%define __cputoolize /bin/true

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Pluggable Authentication Module for dynamic mounting of remote volumes
Summary(pt_BR):	Mdulo de autenticao PAM para montagem dinmica de volumes remotes
Summary(es):	Pluggable authentication module for dynamic mouting of remote volumes
License:	GPL
Group:		Networking/Other
URL:		http://pam-mount.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
# patch to use pkcs15-crypt to decrypt a filesystem key file
# based on http://keitin.net/jarpatus/projects/usbtoken/index_eng.shtml
Patch:		pam_mount-0.10.0-scsupport.patch
Patch1:		pam_mount-0.18-mdv,suse-CVE-2008-3970.patch
# support for reading PIN from stdin was added to this specific
# release (0.10.0-5mdk) and we need it due to the patch above
Requires:	opensc >= 0.10.0-5mdk
BuildRequires:	pam-devel, zlib-devel
BuildRequires:	glib2-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Pam_mount is a PAM module that allows dynamic remote volume mounting.
It is mainly useful for users that have private volumes in Samba /
Windows NT / Netware servers and need access to them during a Unix
session.

%description -l pt_BR
O pam_mount  um mdulo PAM que permite montagem dinmica de volumes
remotos. Ele  particularmente til para usurios que detm volumes
privados em servidores Samba / Windows NT / Netware e precisam ter
acesso a eles durante uma sesso Unix.

%description -l fr_FR
pam_mount est un module qui permet de monter dynamiquement un
volume au login. Il est utilis afin de permettre aux utilisateurs de
monter leur rpertoires privs sur des serveurs Samba/NT/Netware au
cours d'une session Unix.

%package devel
Summary: Development files for pam_mount
Requires: pam_mount
Group: Networking/Other

%description devel
Use pam_mount-devel if you need to, for development purpose.

%prep
%setup -q
%patch -p1 -b .sc
%patch1 -p0 -b .cve-2008-3970

%build
%configure
#JMD: you need this if zlib-devel is installed.. weird!
#This is due to a change in source on March 10 2004
perl -pi -e "s|-lcrypto|-lcrypto -lz|" src/Makefile
%make moduledir=/%{_lib}/security

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}/sbin
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}/%{_lib}/security
mkdir -p %{buildroot}/%{_includedir}/pam_mount
%makeinstall_std moduledir=/%{_lib}/security
install -m0600 config/pam_mount.conf -D $RPM_BUILD_ROOT%{_sysconfdir}/security/pam_mount.conf

%clean
rm -rf %{buildroot}

%files 
%defattr(0644,root,root,0755)
/%{_lib}/security/pam_mount*.so
%attr(0755,root,root) %{_bindir}/*
%attr(0755,root,root) %{_sbindir}/*
%attr(0755,root,root) /sbin/*
%config(noreplace) %{_sysconfdir}/security/%{name}.conf
%doc AUTHORS ChangeLog COPYING FAQ INSTALL NEWS README TODO
%{_mandir}/man8/*
%{_mandir}/man1/mkehd.1*

%files devel
%defattr(0644,root,root,0755)
/%{_lib}/security/*a
%{_includedir}/*


%changelog
* Fri Sep 26 2008 Gustavo De Nardin <gustavodn@mandriva.com>
- P1: security fix for CVE-2008-3970

* Mon Aug 28 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-08-28 16:06:25 (58356)
- updated to version 0.17
- removed realpath patch, no longer needed
- bunzipped patches

* Mon Aug 28 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-08-28 15:42:07 (58343)
- Import pam_mount


* Fri Jan 20 2006 Buchan Milne <bgmilne@mandriva.org> 0.10.0-5mdk
- glib2-devel instead of glib-devel

* Thu Jan 12 2006 Buchan Milne <bgmilne@mandriva.org> 0.10.0-4mdk
- buildrequire glib-devel

* Fri Dec 05 2005 Andreas Hasenack <andreas@mandriva.com> 0.10.0-3mdk
- added patch to make it possible to use a smart card to decrypt the
  filesystem key file for dm-crypt mounts (based on work done by
  Jari Eskelinen, see 
  http://keitin.net/jarpatus/projects/usbtoken/index_eng.shtml)
- added requirement for a specific opensc EVR due to the above patch
- added symlinks in /sbin for the u?mount.crypt scripts

* Mon Dec 05 2005 Andreas Hasenack <andreas@mandriva.com> 0.10.0-2mdk
- added patch to fix umount.crypt script

* Mon Dec 05 2005 Andreas Hasenack <andreas@mandriva.com> 0.10.0-1mdk
- updated to version 0.10.0
- removed the libtoolize and cputoolize defines, seems to work without them

* Wed Aug 10 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.9.25-1mdk
- New release 0.9.25

* Tue Nov 16 2004 Jean-Michel Dault <jmdault@mandrakesoft.com> 0.9.20-2mdk
- add FAQ and other missing docs
- buildrequires zlib-devel (See Changelog entry, 10 March 2004)

* Wed Sep 01 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.9.20-1mdk
- 0.9.20

* Sun Jan 04 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.9.9-1mdk
- 0.9.9
- rm -rf $RPM_BUILD_ROOT
- cleanups and cosmetics

* Sun Jul 13 2003 Buchan Milne <bgmilne@linux-mandrake.com> 0.9.2-3mdk
- buildrequire pam-devel (slbd via Michael Scherer)

* Fri Jun 20 2003 Buchan Milne <bgmilne@linux-mandrake.com> 0.9.2-2mdk
- Try and unconfuse the bots :-)

* Mon Jun 09 2003 Buchan Milne <bgmilne@linux-mandrake.com> 0.9.2-1mdk
- 0.9.2

* Mon May 05 2003 Buchan Milne <bgmilne@linux-mandrake.com> 0.5.14-1mdk
- 0.5.14
- small cleanups

* Mon Jan 06 2003 Buchan Milne <bgmilne@linux-mandrake.com> 0.5.9-1mdk
- 0.5.9

* Mon Nov 18 2002 Sylvestre Taburet <staburet@mandrakesoft.com> 0.5.7-1mdk
- upgraded to 0.5.7.

* Sun Oct 27 2002 Sylvestre Taburet <staburet@mandrakesoft.com> 0.5.0-1mdk
- upgraded to 0.5.0.

* Mon Dec 17 2001 Elvis Pftzenreuter <epx@altoriopreto.com.br>
- Updated to 0.3.2

* Tue Nov 21 2000 Elvis Pftzenreuter <epx@conectiva.com>
- Updated to version 0.3.1

* Tue Nov 21 2000 Elvis Pftzenreuter <epx@conectiva.com>
- Updated to version 0.3

* Thu Nov 14 2000 Elvis Pftzenreuter <epx@conectiva.com>
- First RPM 
